Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(136)

Unified Diff: platform_tools/android/bin/android_run_skia

Issue 254923003: Improve Android scripts: (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: AnotherPatchSet Created 6 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « platform_tools/android/bin/android_make ('k') | platform_tools/android/bin/android_setup.sh » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_run_skia
diff --git a/platform_tools/android/bin/android_run_skia b/platform_tools/android/bin/android_run_skia
index ebcc041c2d74f2b5ffc3b0abc476a933b399e508..62e837ce0bc11ef316437c0cf5b72b71c4e233de 100755
--- a/platform_tools/android/bin/android_run_skia
+++ b/platform_tools/android/bin/android_run_skia
@@ -13,6 +13,13 @@ then
exit 1
fi
+(
+ SKIA_SRC_DIR=$(cd ${SCRIPT_DIR}/../../..; pwd)
+ cd "$SKIA_SRC_DIR"
+ for resource in $(find resources -type f); do
+ adb_push_if_needed "$resource" "/data/local/tmp/${resource}"
+ done
+)
adb_push_if_needed "${SKIA_OUT}/$BUILDTYPE/skia_launcher" /data/local/tmp
if [ -f "${SKIA_OUT}/$BUILDTYPE/lib/libskia_android.so" ]; then
# Does not exist for builds with static skia.
@@ -22,7 +29,7 @@ adb_push_if_needed "${SKIA_OUT}/$BUILDTYPE/lib/lib${APP_ARGS[0]}.so" /data/local
STATUS_FILENAME="/data/local/tmp/.skia_tmp_$(date +%s%N)"
$ADB ${DEVICE_SERIAL} shell \
- "/data/local/tmp/skia_launcher ${APP_ARGS[@]}; echo \$? > ${STATUS_FILENAME}"
+ "cd /data/local/tmp; ./skia_launcher ${APP_ARGS[@]}; echo \$? > ${STATUS_FILENAME}"
if [ -z "$($ADB $DEVICE_SERIAL shell 'if [ -f $STATUS_FILENAME ]; then echo exists; fi')" ]; then
exit 1
fi
« no previous file with comments | « platform_tools/android/bin/android_make ('k') | platform_tools/android/bin/android_setup.sh » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698